> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Player Profile

> Biography, role, and career metadata for a player.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/player/{}
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/player/{}:
    get:
      tags:
        - Players
      summary: Player Profile
      description: Biography, role, and career metadata for a player.
      operationId: player_profile
      parameters:
        - name: playerId
          in: path
          required: true
          description: Player identifier.
          schema:
            type: string
            example: '28181'
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                image: >-
                  https://cdn.sportxapi.com/assets/uploads/2026/03/virat-kohli.png?_sxcdn=20260831
                playerID: '119'
                name: Virat Kohli
                fullName: Virat Kohli
                shortName: V Kohli
                nickName: V Kohli
                teamID: '25'
                teamName: India
                nationality: India
                nationalityId: '25'
                birthPlace: Delhi
                intlTeam: India
                gender: M
                dob: 05/11/1988
                battingStyle: Right Handed
                bowlingStyle: Right Arm Medium
                role: Batsman
                description: null
                battingStats:
                  - notOuts: '13'
                    runs: '9230'
                    ballsFaced: '16608'
                    hundreds: '30'
                    fifties: '31'
                    fours: '1027'
                    sixes: '30'
                    average: '46.85'
                    color: null
                    strikeRate: '55.57'
                    innings: '210'
                    hundredsfifties: 30/31
                    foursix: 1027/30
                    format: Test
                    matches: '123'
                  - notOuts: '47'
                    runs: '14941'
                    ballsFaced: '15903'
                    hundreds: '54'
                    fifties: '79'
                    fours: '1389'
                    sixes: '171'
                    average: '58.59'
                    color: null
                    strikeRate: '93.95'
                    innings: '302'
                    hundredsfifties: 54/79
                    foursix: 1389/171
                    format: ODI
                    matches: '314'
                bowlingStats:
                  - format: Test
                    matches: '123'
                    overs: '29.10'
                    wickets: '0'
                    ballsBowled: '175'
                    average: '0'
                    color: null
                    strikeRate: '0'
                    economyRate: '2.88'
                    fiveWicketHauls: '0'
                    innings: '11'
                    bestBowling: 0/0
                    fivetenWicketHauls: 0/0
                  - format: ODI
                    matches: '314'
                    overs: '110.20'
                    wickets: '5'
                    ballsBowled: '662'
                    average: '136'
                    color: null
                    strikeRate: '132.4'
                    economyRate: '6.16'
                    fiveWicketHauls: '0'
                    innings: '50'
                    bestBowling: 0/0
                    fivetenWicketHauls: 0/0
                fieldingStats:
                  - format: Test
                    catches: '121'
                    stupms: '0'
                    runOuts: '0'
                  - format: ODI
                    catches: '169'
                    stupms: '0'
                    runOuts: '0'
                socialDetails:
                  - socialPlatformId: '1'
                    socialPlatformName: facebook
                    socialPlatformUrl: https://www.facebook.com/virat.kohli
                  - socialPlatformId: '2'
                    socialPlatformName: twitter
                    socialPlatformUrl: https://twitter.com/imVkohli
                trophyDetails:
                  - id: 1
                    name: '#3 batsmen in ODI'
                    numberOfTimesWon: 1
                    year: null
                teams:
                  - teamId: '25'
                    active: '1'
                    isPrimary: 'true'
                    isInternational: '1'
                    teamName: India
                    teamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                    logoUrl: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                  - teamId: '646'
                    active: '1'
                    isPrimary: 'false'
                    isInternational: '0'
                    teamName: Royal Challengers Bengaluru
                    teamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2023/06/Rectangle-3348-2023-06-07T112223.720.png?_sxcdn=20260831
                    logoUrl: >-
                      https://cdn.sportxapi.com/assets/uploads/2023/06/Rectangle-3348-2023-06-07T112223.720.png?_sxcdn=20260831
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.